/*Empire wars by m2h
~~MAP DESCRIPTION~~

In this map you start with an explorer, a town cneter, a command post, a fort tower, and a random bonus building. This could be a Factory, an Arsenal, a Church, a Capitol, or a Fort. You lose when all your buildings die. You start in whatever age you choose to start in. If you pick discovery you will be sent to a random age. At the top of the map there are some flag bearers. If you bring yours to the gaia ones you will get stuff.  There is also a bottom island where you can buy upgrades costing 10000 gold each. The island on the right is where you get resources. You must move your flag bearers to the resources you want. Also in the middle of the map there is 1 random Native Tribe per player. This could be any of the native tribes in the game. It works with any number of players team or ffa. Each civilization also has its own bonuses that are listed below.

~~CIVILIZATION BONUSES~~

Spanish- Inquisition, Team Coastal Defenses and a Galleon every 90 seconds
British- Galleon every 75 seconds
French- Fort Wagons every 3 minutes, Wilderness Warfare, Native Warrior Combat and Advanced Trading Post and weaker forts
Portuguese- Navigator Card and an extra flag bearer
Dutch- Improved Buildings and a fluyt every 70 seconds
Russians- Team dueling school card
Germans- Stronger mercs, mercs spawn faster and 3 free uhlans every 30 seconds
Ottomans- Ottomans get an extra 25 gold each second
*/

int num=0;

void mes(string text="", int time=0){

rmCreateTrigger("Message"+num);
rmSwitchToTrigger(rmTriggerID("Message"+num));
rmSetTriggerActive(true);
rmSetTriggerRunImmediately(true);
rmSetTriggerLoop(false);
rmSetTriggerPriority(3);

rmAddTriggerCondition("Timer");
rmSetTriggerConditionParamInt("Param1",time);

rmAddTriggerEffect("Send Chat");
rmSetTriggerEffectParamInt("PlayerID", 0);
rmSetTriggerEffectParam("Message", text);

num=num+1;
}

void main(void) {
rmSetStatusText("",0.01);

int mapsize = 2.0*sqrt(80000);
rmSetMapSize(mapsize,mapsize);
rmSetSeaLevel(3);
rmSetSeaType("caribbean coast");
rmSetBaseTerrainMix("caribbean grass");
rmSetMapType("caribbean");
rmSetMapType("grass");
rmSetMapType("water");
rmSetLightingSet("caribbean");
rmTerrainInitialize("water",0);

if ( cNumberTeams > 2 ){
rmPlacePlayersCircular(0.25, 0.25, rmDegreesToRadians(0.0));
}else{
rmSetPlacementTeam(0);
rmSetPlacementSection(0.28, 0.44);
rmPlacePlayersCircular(0.25, 0.25, 0);
	
rmSetPlacementTeam(1);
rmSetPlacementSection(0.78, 0.94);
rmPlacePlayersCircular(0.25, 0.25, 0);
}


rmSetStatusText("",0.1);

int mid = rmCreateArea("middle");
rmSetAreaSize(mid,.20, .20);
rmSetAreaLocation(mid, .5, .5);
rmSetAreaBaseHeight(mid, 4);
rmSetAreaMaxBlobs(mid, 1);
rmSetAreaCoherence(mid, 1);
rmSetAreaSmoothDistance(mid, 1);
rmSetAreaTerrainType(mid, "texas\ground1_tex");
rmBuildArea(mid);

int top1 = rmCreateArea("top1");
rmSetAreaSize(top1,.05, .05);
rmSetAreaLocation(top1, .85, .85);
rmSetAreaTerrainType(top1, "texas\ground1_tex");
rmSetAreaCliffType(top1, "caribbean");
rmSetAreaCliffPainting(top1, true, true, true, 3, true);
rmSetAreaCliffEdge(top1, 1, 1, 1, 0, 2);
rmSetAreaBaseHeight(top1, 3);
rmSetAreaMaxBlobs(top1, 1);
rmSetAreaCoherence(top1, 1);
rmSetAreaSmoothDistance(top1, 1);
rmBuildArea(top1);

int top = rmCreateArea("top");
rmSetAreaSize(top,.03, .03);
rmSetAreaLocation(top, .85, .85);
rmSetAreaTerrainType(top, "texas\ground1_tex");
rmSetAreaCliffType(top, "caribbean");
rmSetAreaCliffPainting(top, true, true, true, 3, true);
rmSetAreaCliffEdge(top, 1, 1, 1, 0, 2);
rmSetAreaBaseHeight(top, 6);
rmSetAreaMaxBlobs(top, 1);
rmSetAreaCoherence(top, 1);
rmSetAreaSmoothDistance(top, 1);
rmBuildArea(top);

int bot1 = rmCreateArea("bot1");
rmSetAreaSize(bot1,.05, .05);
rmSetAreaLocation(bot1, .15, .15);
rmSetAreaTerrainType(bot1, "texas\ground1_tex");
rmSetAreaCliffType(bot1, "caribbean");
rmSetAreaCliffPainting(bot1, true, true, true, 3, true);
rmSetAreaCliffEdge(bot1, 1, 1, 1, 0, 2);
rmSetAreaBaseHeight(bot1, 3);
rmSetAreaMaxBlobs(bot1, 1);
rmSetAreaCoherence(bot1, 1);
rmSetAreaSmoothDistance(bot1, 1);
rmBuildArea(bot1);

int bot = rmCreateArea("bot");
rmSetAreaSize(bot,.03, .03);
rmSetAreaLocation(bot, .15, .15);
rmSetAreaTerrainType(bot, "texas\ground1_tex");
rmSetAreaCliffType(bot, "caribbean");
rmSetAreaCliffPainting(bot, true, true, true, 3, true);
rmSetAreaCliffEdge(bot, 1, 1, 1, 0, 2);
rmSetAreaBaseHeight(bot, 6);
rmSetAreaMaxBlobs(bot, 1);
rmSetAreaCoherence(bot, 1);
rmSetAreaSmoothDistance(bot, 1);
rmBuildArea(bot);

int rit1 = rmCreateArea("rit1");
rmSetAreaSize(rit1,.05, .05);
rmSetAreaLocation(rit1, .85, .15);
rmSetAreaTerrainType(rit1, "texas\ground1_tex");
rmSetAreaCliffType(rit1, "caribbean");
rmSetAreaCliffPainting(rit1, true, true, true, 3, true);
rmSetAreaCliffEdge(rit1, 1, 1, 1, 0, 2);
rmSetAreaBaseHeight(rit1, 3);
rmSetAreaMaxBlobs(rit1, 1);
rmSetAreaCoherence(rit1, 1);
rmSetAreaSmoothDistance(rit1, 1);
rmBuildArea(rit1);

int rit = rmCreateArea("rit");
rmSetAreaSize(rit,.03, .03);
rmSetAreaLocation(rit, .85, .15);
rmSetAreaTerrainType(rit, "texas\ground1_tex");
rmSetAreaCliffType(rit, "caribbean");
rmSetAreaCliffPainting(rit, true, true, true, 3, true);
rmSetAreaCliffEdge(rit, 1, 1, 1, 0, 2);
rmSetAreaBaseHeight(rit, 6);
rmSetAreaMaxBlobs(rit, 1);
rmSetAreaCoherence(rit, 1);
rmSetAreaSmoothDistance(rit, 1);
rmBuildArea(rit);

int lft = rmCreateArea("lft");
rmSetAreaSize(lft,.03, .03);
rmSetAreaLocation(lft, .15, .85);
rmSetAreaTerrainType(lft, "texas\ground1_tex");
rmSetAreaCliffType(lft, "caribbean");
rmSetAreaCliffPainting(lft, true, true, true, 3, true);
rmSetAreaCliffEdge(lft, 1, 1, 1, 0, 2);
rmSetAreaBaseHeight(lft, 6);
rmSetAreaMaxBlobs(lft, 1);
rmSetAreaCoherence(lft, 1);
rmSetAreaSmoothDistance(lft, 1);
rmBuildArea(lft);

int build = rmRandInt(1,5);

rmSetStatusText("",0.2);

for(i = 1; <= cNumberNonGaiaPlayers) {
int id = rmCreateArea("Player"+i);
rmSetAreaBaseHeight(id,4.0);
rmSetAreaCoherence(id,1.0);
rmSetAreaHeightBlend(id,2);
rmSetAreaLocPlayer(id,i);

rmSetAreaSize(id,0.01,0.01);

rmSetPlayerArea(i,id);
rmSetAreaTerrainType(id,"texas\ground1_tex");
rmBuildArea(id);

if ( rmGetPlayerCiv(i) != rmGetCivID("Russians")) {
int bar = rmCreateObjectDef("TownCenter"+i);
rmAddObjectDefItem(bar,"TownCenter",1,4);
rmPlaceObjectDefAtLoc(bar,i,rmPlayerLocXFraction(i),rmPlayerLocZFraction(i),1);
} else {
int block = rmCreateObjectDef("TownCenter"+i);
rmAddObjectDefItem(block,"TownCenter",1,4);
rmPlaceObjectDefAtLoc(block,i,rmPlayerLocXFraction(i),rmPlayerLocZFraction(i),1);
}

int sta = rmCreateObjectDef("SPCFortCenter"+i);
rmAddObjectDefItem(sta,"SPCFortCenter",1,7);
rmPlaceObjectDefAtLoc(sta,i,rmPlayerLocXFraction(i),rmPlayerLocZFraction(i),1);

int fou = rmCreateObjectDef("SPCFortTower"+i);
rmAddObjectDefItem(fou,"SPCFortTower",1,10);
rmPlaceObjectDefAtLoc(fou,i,rmPlayerLocXFraction(i),rmPlayerLocZFraction(i),1);

int bonus = rmCreateObjectDef("Bonus Building"+i);
if (build==1){
rmAddObjectDefItem(bonus,"Factory",1,11);
rmPlaceObjectDefAtLoc(bonus,i,rmPlayerLocXFraction(i),rmPlayerLocZFraction(i),1);
}
if (build==2){
rmAddObjectDefItem(bonus,"FortFrontier",1,11);
rmPlaceObjectDefAtLoc(bonus,i,rmPlayerLocXFraction(i),rmPlayerLocZFraction(i),1);
}
if (build==3){
rmAddObjectDefItem(bonus,"Factory",1,11);
rmPlaceObjectDefAtLoc(bonus,i,rmPlayerLocXFraction(i),rmPlayerLocZFraction(i),1);
}
if (build==4){
rmAddObjectDefItem(bonus,"FortFrontier",1,11);
rmPlaceObjectDefAtLoc(bonus,i,rmPlayerLocXFraction(i),rmPlayerLocZFraction(i),1);
}
if (build==5){
rmAddObjectDefItem(bonus,"Fortfrontier",1,11);
rmPlaceObjectDefAtLoc(bonus,i,rmPlayerLocXFraction(i),rmPlayerLocZFraction(i),1);
}

int unit = rmCreateObjectDef("Explorer"+i);
rmAddObjectDefItem(unit,"Explorer",1,10);
rmPlaceObjectDefAtAreaLoc(unit, i, id, 1);
}
rmSetStatusText("",.5);

rmAllocateSubCivs(12);

rmSetSubCiv(0, "Comanche");
rmSetSubCiv(1, "Iroquois"); 
rmSetSubCiv(2, "Aztecs");
rmSetSubCiv(3, "Maya");
rmSetSubCiv(4, "Lakota");
rmSetSubCiv(5, "Nootka");
rmSetSubCiv(6, "Cherokee");
rmSetSubCiv(7, "Cree");
rmSetSubCiv(8, "Tupi");
rmSetSubCiv(9, "Caribs");
rmSetSubCiv(10, "Seminoles");
rmSetSubCiv(11, "Incas");

float natdist = .15;

for(i = 1; <= cNumberNonGaiaPlayers) {
int nativenum = rmRandInt(1,12);
if (nativenum == 1)
{
int comancheVillageID = -1;
comancheVillageID = rmCreateGrouping("comanche village", "native comanche village 1");
rmSetGroupingMinDistance(comancheVillageID, 0.0);
rmSetGroupingMaxDistance(comancheVillageID, rmXFractionToMeters(natdist));
rmPlaceGroupingAtLoc(comancheVillageID, 0, 0.5, 0.5);
} 

if (nativenum == 2)
{  
int iroquoisVillageID = -1;
iroquoisVillageID = rmCreateGrouping("iroquois village", "native iroquois village 1");
rmSetGroupingMinDistance(iroquoisVillageID, 0.0);
rmSetGroupingMaxDistance(iroquoisVillageID, rmXFractionToMeters(natdist));
rmPlaceGroupingAtLoc(iroquoisVillageID, 0, 0.5, 0.5);
} 

if (nativenum == 3)
{  
int aztecsVillageID = -1;
aztecsVillageID = rmCreateGrouping("aztecs village", "native aztec village 1");
rmSetGroupingMinDistance(aztecsVillageID, 0.0);
rmSetGroupingMaxDistance(aztecsVillageID, rmXFractionToMeters(natdist));
rmPlaceGroupingAtLoc(aztecsVillageID, 0, 0.5, 0.5);
}

if (nativenum == 4)
{
int mayaVillageID = -1;
mayaVillageID = rmCreateGrouping("maya village", "native maya village 1");
rmSetGroupingMinDistance(mayaVillageID, 0.0);
rmSetGroupingMaxDistance(mayaVillageID, rmXFractionToMeters(natdist));
rmPlaceGroupingAtLoc(mayaVillageID, 0, 0.5, 0.5);
}

if (nativenum == 5)
{  
int lakotaVillageID = -1;
lakotaVillageID = rmCreateGrouping("lakota village", "native lakota village 1");
rmSetGroupingMinDistance(lakotaVillageID, 0.0);
rmSetGroupingMaxDistance(lakotaVillageID, rmXFractionToMeters(natdist));
rmPlaceGroupingAtLoc(lakotaVillageID, 0, 0.5, 0.5);
} 

if (nativenum == 6)
{  
int nootkaVillageID = -1;
nootkaVillageID = rmCreateGrouping("nootka village", "native nootka village 1");
rmSetGroupingMinDistance(nootkaVillageID, 0.0);
rmSetGroupingMaxDistance(nootkaVillageID, rmXFractionToMeters(natdist));
rmPlaceGroupingAtLoc(nootkaVillageID, 0, 0.5, 0.5);
} 
		
if (nativenum == 7)
{  
int cherokeeVillageID = -1;
cherokeeVillageID = rmCreateGrouping("cherokee village", "native cherokee village 1");
rmSetGroupingMinDistance(cherokeeVillageID, 0.0);
rmSetGroupingMaxDistance(cherokeeVillageID, rmXFractionToMeters(natdist));
rmPlaceGroupingAtLoc(cherokeeVillageID, 0, 0.5, 0.5);
} 
				
if (nativenum == 8)
{  
int creeVillageID = -1;
creeVillageID = rmCreateGrouping("cree village", "native cree village 1");
rmSetGroupingMinDistance(creeVillageID, 0.0);
rmSetGroupingMaxDistance(creeVillageID, rmXFractionToMeters(natdist));
rmPlaceGroupingAtLoc(creeVillageID, 0, 0.5, 0.5);
} 

if (nativenum == 9)
{  
int tupiVillageID = -1;
tupiVillageID = rmCreateGrouping("tupi village", "native tupi village 1");
rmSetGroupingMinDistance(tupiVillageID, 0.0);
rmSetGroupingMaxDistance(tupiVillageID, rmXFractionToMeters(natdist));
rmPlaceGroupingAtLoc(tupiVillageID, 0, 0.5, 0.5);
}
				
if (nativenum == 10)
{  
int caribsVillageID = -1;
caribsVillageID = rmCreateGrouping("caribs village", "native carib village 1");
rmSetGroupingMinDistance(caribsVillageID, 0.0);
rmSetGroupingMaxDistance(caribsVillageID, rmXFractionToMeters(natdist));
rmPlaceGroupingAtLoc(caribsVillageID, 0, 0.5, 0.5);
} 
		
if (nativenum == 11)
{  
int seminolesVillageID = -1;
seminolesVillageID = rmCreateGrouping("seminoles village", "native seminole village 1");
rmSetGroupingMinDistance(seminolesVillageID, 0.0);
rmSetGroupingMaxDistance(seminolesVillageID, rmXFractionToMeters(natdist));
rmPlaceGroupingAtLoc(seminolesVillageID, 0, 0.5, 0.5);
} 
			
if (nativenum == 12)
{  
int incasVillageID = -1;
incasVillageID = rmCreateGrouping("incas village", "native inca village 1");
rmSetGroupingMinDistance(incasVillageID, 0.0);
rmSetGroupingMaxDistance(incasVillageID, rmXFractionToMeters(natdist));
rmPlaceGroupingAtLoc(incasVillageID, 0, 0.5, 0.5);
}
}

rmSetStatusText("",.7);

rmCreateTrigger("Starting Stuff");
rmSwitchToTrigger(rmTriggerID("Starting Stuff"));
rmSetTriggerActive(true);
rmSetTriggerRunImmediately(true);
rmSetTriggerPriority(3);

rmAddTriggerCondition("Always");

for(i = 1; <= cNumberNonGaiaPlayers) {

rmAddTriggerEffect("Forbid and Disable Unit");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParam("ProtoUnit", "CoureurCree");

rmAddTriggerEffect("Player Set HC Access");
rmSetTriggerEffectParamInt("Player", i);
rmSetTriggerEffectParam("HCAccess", "false");

rmAddTriggerEffect("Modify Protounit");
rmSetTriggerEffectParam("Protounit", "BoneguardAge2");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("Field", 7);
rmSetTriggerEffectParamInt("Delta", 0);

rmAddTriggerEffect("Modify Protounit");
rmSetTriggerEffectParam("Protounit", "FortFrontier");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("Field", 5);
rmSetTriggerEffectParamInt("Delta", 1000);

rmAddTriggerEffect("Modify Protounit");
rmSetTriggerEffectParam("Protounit", "Outpost");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("Field", 10);
rmSetTriggerEffectParamInt("Delta", 68);

rmAddTriggerEffect("Modify Protounit");
rmSetTriggerEffectParam("Protounit", "BoneguardAge2");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("Field", 10);
rmSetTriggerEffectParamInt("Delta", 200);

rmAddTriggerEffect("Modify Protounit");
rmSetTriggerEffectParam("Protounit", "Settler");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("Field", 10);
rmSetTriggerEffectParamInt("Delta", -20);

rmAddTriggerEffect("Modify Protounit");
rmSetTriggerEffectParam("Protounit", "TownCenter");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("Field", 10);
rmSetTriggerEffectParamInt("Delta", 68);

rmAddTriggerEffect("Modify Protounit");
rmSetTriggerEffectParam("Protounit", "Bank");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("Field", 10);
rmSetTriggerEffectParamInt("Delta", 68);

rmAddTriggerEffect("Modify Protounit");
rmSetTriggerEffectParam("Protounit", "Blockhouse");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("Field", 10);
rmSetTriggerEffectParamInt("Delta", 68);

rmAddTriggerEffect("Modify Protounit");
rmSetTriggerEffectParam("Protounit", "SPCFortTower");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("Field", 0);
rmSetTriggerEffectParamInt("Delta", 20000);

if ( rmGetPlayerCiv(i) == rmGetCivID("Russians")) {

rmAddTriggerEffect("Modify Protounit");
rmSetTriggerEffectParam("Protounit", "SPCFortTower");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("Field", 0);
rmSetTriggerEffectParamInt("Delta", 10000);

}

rmAddTriggerEffect("Set Tech Status");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("TechID", 358);
rmSetTriggerEffectParamInt("Status", 2);

rmAddTriggerEffect("Set Tech Status");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("TechID", 459);
rmSetTriggerEffectParamInt("Status", 2);

if ( rmGetPlayerCiv(i) == rmGetCivID("Portuguese")) {
rmAddTriggerEffect("Modify Protounit");
rmSetTriggerEffectParam("Protounit", "Towncenter");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("Field", 10);
rmSetTriggerEffectParamInt("Delta", -1);
}

if (build==1){
rmAddTriggerEffect("Modify Protounit");
rmSetTriggerEffectParam("Protounit", "SPCFortTower");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("Field", 0);
rmSetTriggerEffectParamInt("Delta", 10000);
}
if (build==2){
rmAddTriggerEffect("Modify Protounit");
rmSetTriggerEffectParam("Protounit", "SPCFortTower");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("Field", 0);
rmSetTriggerEffectParamInt("Delta", 10000);
}
if (build==3){
rmAddTriggerEffect("Modify Protounit");
rmSetTriggerEffectParam("Protounit", "SPCFortTower");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("Field", 0);
rmSetTriggerEffectParamInt("Delta", 10000);
}
if (build==4){
rmAddTriggerEffect("Modify Protounit");
rmSetTriggerEffectParam("Protounit", "SPCFortTower");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("Field", 0);
rmSetTriggerEffectParamInt("Delta", 10000);
}
if (build==5){
if (rmGetPlayerCiv(i) != rmGetCivID("French")) {
rmAddTriggerEffect("Modify Protounit");
rmSetTriggerEffectParam("Protounit", "SPCFortTower");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("Field", 0);
rmSetTriggerEffectParamInt("Delta", 10000);
}
}

rmAddTriggerEffect("Modify Protounit");
rmSetTriggerEffectParam("Protounit", "MercMameluke");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("Field", 6);
rmSetTriggerEffectParamInt("Delta", -4);

rmAddTriggerEffect("Modify Protounit");
rmSetTriggerEffectParam("Protounit", "MercBlackRider");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("Field", 6);
rmSetTriggerEffectParamInt("Delta", -4);

rmAddTriggerEffect("Modify Protounit");
rmSetTriggerEffectParam("Protounit", "MercRonin");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("Field", 6);
rmSetTriggerEffectParamInt("Delta", -4);

rmAddTriggerEffect("Modify Protounit");
rmSetTriggerEffectParam("Protounit", "MercHackapell");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("Field", 6);
rmSetTriggerEffectParamInt("Delta", -4);

rmAddTriggerEffect("Modify Protounit");
rmSetTriggerEffectParam("Protounit", "MercSwissPikeman");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("Field", 6);
rmSetTriggerEffectParamInt("Delta", -4);

rmAddTriggerEffect("Modify Protounit");
rmSetTriggerEffectParam("Protounit", "MercHighlander");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("Field", 6);
rmSetTriggerEffectParamInt("Delta", -4);

rmAddTriggerEffect("Unforbid and Enable Unit");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParam("Protounit", "Bank");

rmAddTriggerEffect("Unforbid and Enable Unit");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParam("Protounit", "HotAirBalloon");

rmAddTriggerEffect("Unforbid and Enable Unit");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParam("Protounit", "AbusGun");

rmAddTriggerEffect("Unforbid and Enable Unit");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParam("Protounit", "SPCHoopThrower");

rmAddTriggerEffect("Unforbid and Enable Unit");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParam("Tech", "ImperialAbusGun");

rmAddTriggerEffect("Unforbid and Enable Unit");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParam("Protounit", "Outpost");

rmAddTriggerEffect("Forbid and Disable Unit");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParam("Protounit", "Manor");

rmAddTriggerEffect("Unforbid and Enable Unit");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParam("Protounit", "House");

rmAddTriggerEffect("Unforbid and Enable Unit");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParam("Protounit", "Coureur");

rmAddTriggerEffect("Unforbid and Enable Unit");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParam("Protounit", "BoneguardAge2");

rmAddTriggerEffect("Unforbid and Enable Unit");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParam("Protounit", "Blockhouse");

rmAddTriggerEffect("Forbid and Disable Unit");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParam("Protounit", "Plantation");

rmAddTriggerEffect("Modify Protounit");
rmSetTriggerEffectParam("Protounit", "Outpost");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("Field", 16);
rmSetTriggerEffectParamInt("Delta", 750);

rmAddTriggerEffect("Modify Protounit");
rmSetTriggerEffectParam("Protounit", "HotAirBalloon");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("Field", 10);
rmSetTriggerEffectParamInt("Delta", 16);

rmAddTriggerEffect("Modify Protounit");
rmSetTriggerEffectParam("Protounit", "Outpost");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("Field", 10);
rmSetTriggerEffectParamInt("Delta", 3);

rmAddTriggerEffect("Modify Protounit");
rmSetTriggerEffectParam("Protounit", "Blockhouse");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("Field", 16);
rmSetTriggerEffectParamInt("Delta", 750);

rmAddTriggerEffect("Diplomacy");
rmSetTriggerEffectParamInt("Player1", i);
rmSetTriggerEffectParam("Status", "ally");
rmSetTriggerEffectParamInt("Player2", 0);

rmAddTriggerEffect("Diplomacy");
rmSetTriggerEffectParamInt("Player1", 0);
rmSetTriggerEffectParam("Status", "ally");
rmSetTriggerEffectParamInt("Player2", i);
}

int age = rmRandInt(1,4);

for(i = 1; <= cNumberNonGaiaPlayers) {

rmCreateTrigger("Age up"+i);
rmSwitchToTrigger(rmTriggerID("Age up"+i));
rmSetTriggerActive(true);
rmSetTriggerRunImmediately(true);
rmSetTriggerPriority(3);

if (rmGetPlayerCiv(i) == rmGetCivID("Spanish")) {
rmAddTriggerCondition("Tech Status Equals");
rmSetTriggerConditionParamInt("PlayerID",i);
rmSetTriggerConditionParamInt("TechID",290);
rmSetTriggerConditionParamInt("Status",0);
}
if (rmGetPlayerCiv(i) == rmGetCivID("British")) {
rmAddTriggerCondition("Tech Status Equals");
rmSetTriggerConditionParamInt("PlayerID",i);
rmSetTriggerConditionParamInt("TechID",284);
rmSetTriggerConditionParamInt("Status",0);
}
if (rmGetPlayerCiv(i) == rmGetCivID("French")) {
rmAddTriggerCondition("Tech Status Equals");
rmSetTriggerConditionParamInt("PlayerID",i);
rmSetTriggerConditionParamInt("TechID",278);
rmSetTriggerConditionParamInt("Status",0);
}
if (rmGetPlayerCiv(i) == rmGetCivID("Portuguese")) {
rmAddTriggerCondition("Tech Status Equals");
rmSetTriggerConditionParamInt("PlayerID",i);
rmSetTriggerConditionParamInt("TechID",291);
rmSetTriggerConditionParamInt("Status",0);
}
if (rmGetPlayerCiv(i) == rmGetCivID("Dutch")) {
rmAddTriggerCondition("Tech Status Equals");
rmSetTriggerConditionParamInt("PlayerID",i);
rmSetTriggerConditionParamInt("TechID",276);
rmSetTriggerConditionParamInt("Status",0);
}
if (rmGetPlayerCiv(i) == rmGetCivID("Russians")) {
rmAddTriggerCondition("Tech Status Equals");
rmSetTriggerConditionParamInt("PlayerID",i);
rmSetTriggerConditionParamInt("TechID",275);
rmSetTriggerConditionParamInt("Status",0);
}
if (rmGetPlayerCiv(i) == rmGetCivID("Germans")) {
rmAddTriggerCondition("Tech Status Equals");
rmSetTriggerConditionParamInt("PlayerID",i);
rmSetTriggerConditionParamInt("TechID",293);
rmSetTriggerConditionParamInt("Status",0);
}
if (rmGetPlayerCiv(i) == rmGetCivID("Ottomans")) {
rmAddTriggerCondition("Tech Status Equals");
rmSetTriggerConditionParamInt("PlayerID",i);
rmSetTriggerConditionParamInt("TechID",277);
rmSetTriggerConditionParamInt("Status",0);
}

if(age>=1){
rmAddTriggerEffect("Player : SetAge");
rmSetTriggerEffectParamInt("Player", i);
rmSetTriggerEffectParamInt("Age", 1);
rmSetTriggerEffectParam("DisplayEffect", "false");
}
if(age>=2){
rmAddTriggerEffect("Player : SetAge");
rmSetTriggerEffectParamInt("Player", i);
rmSetTriggerEffectParamInt("Age", 2);
rmSetTriggerEffectParam("DisplayEffect", "false");
}
if(age>=3){
rmAddTriggerEffect("Player : SetAge");
rmSetTriggerEffectParamInt("Player", i);
rmSetTriggerEffectParamInt("Age", 3);
rmSetTriggerEffectParam("DisplayEffect", "false");
}
if(age>=4){
rmAddTriggerEffect("Player : SetAge");
rmSetTriggerEffectParamInt("Player", i);
rmSetTriggerEffectParamInt("Age", 4);
rmSetTriggerEffectParam("DisplayEffect", "false");
}
}
for(i = 1; <= cNumberNonGaiaPlayers) {

rmCreateTrigger("No villies"+i);
rmSwitchToTrigger(rmTriggerID("No villies"+i));
rmSetTriggerActive(true);
rmSetTriggerRunImmediately(true);
rmSetTriggerPriority(3);
rmSetTriggerLoop(true);

rmAddTriggerCondition("Timer");
rmSetTriggerConditionParamInt("Param1",.1);

rmAddTriggerEffect("Set Tech Status");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("TechID", 354);
rmSetTriggerEffectParamInt("Status", 0);
}
rmSetStatusText("",.8);

rmCreateTrigger("Rate");
rmSwitchToTrigger(rmTriggerID("Rate"));
rmSetTriggerActive(true);
rmSetTriggerRunImmediately(true);
rmSetTriggerPriority(3);

rmAddTriggerEffect("Rate Training");
rmSetTriggerEffectParamInt("Rate", 10);
rmSetStatusText("",.9);

int spawn = 0;

int outguy = rmCreateObjectDef("Hackapell Guy");
rmAddObjectDefItem(outguy, "MercHackapell", 1, 1);
rmPlaceObjectDefAtLoc(outguy, 0, 0.88, 0.8, 1);

int mamguy = rmCreateObjectDef("Mameluke Guy");
rmAddObjectDefItem(mamguy, "MercMameluke", 1, 1);
rmPlaceObjectDefAtLoc(mamguy, 0, 0.8, 0.88, 1);

int carguy = rmCreateObjectDef("Highlander Guy");
rmAddObjectDefItem(carguy, "MerchigHlander", 1, 1);
rmPlaceObjectDefAtLoc(carguy, 0, 0.84, 0.84, 1);

int setguy = rmCreateObjectDef("Pirate Guy");
rmAddObjectDefItem(setguy, "Pirate", 1, 1);
rmPlaceObjectDefAtLoc(setguy, 0, 0.8, 0.8, 1);

int blaguy = rmCreateObjectDef("Black Rider Guy");
rmAddObjectDefItem(blaguy, "MercBlackRider", 1, 1);
rmPlaceObjectDefAtLoc(blaguy, 0, 0.76, 0.83, 1);

int ronguy = rmCreateObjectDef("Ronin Guy");
rmAddObjectDefItem(ronguy, "MercRonin", 1, 1);
rmPlaceObjectDefAtLoc(ronguy, 0, 0.83, 0.76, 1);

int rev = rmCreateObjectDef("Revealer");
rmAddObjectDefItem(rev, "CinematicRevealerToAll", 1, 0.0);
rmPlaceObjectDefAtLoc(rev, 0, 0.88, 0.8, 1);

rmAddObjectDefItem(rev, "CinematicRevealerToAll", 1, 0.0);
rmPlaceObjectDefAtLoc(rev, 0, 0.8, 0.88, 1);

rmAddObjectDefItem(rev, "CinematicRevealerToAll", 1, 0.0);
rmPlaceObjectDefAtLoc(rev, 0, 0.84, 0.84, 1);

rmAddObjectDefItem(rev, "CinematicRevealerToAll", 1, 0.0);
rmPlaceObjectDefAtLoc(rev, 0, 0.8, 0.8, 1);

rmAddObjectDefItem(rev, "CinematicRevealerToAll", 1, 0.0);
rmPlaceObjectDefAtLoc(rev, 0, 0.83, 0.76, 1);

rmAddObjectDefItem(rev, "CinematicRevealerToAll", 1, 0.0);
rmPlaceObjectDefAtLoc(rev, 0, 0.76, 0.83, 1);

for(i = 1; <= cNumberNonGaiaPlayers) {
int flag = rmCreateObjectDef("Flag Bearer"+i);
rmAddObjectDefItem(flag, "FlagBearerDefault", 1, 5);
if (rmGetPlayerCiv(i) == rmGetCivID("Portuguese")){
rmPlaceObjectDefAtLoc(flag, i, 0.82, 0.82, 2);
} else {
rmPlaceObjectDefAtLoc(flag, i, 0.82, 0.82, 1);
}
}

for(i = 1; <= cNumberNonGaiaPlayers) {
rmCreateTrigger("Spawn1"+i);
rmSwitchToTrigger(rmTriggerID("Spawn1"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(true);
rmSetTriggerRunImmediately(false);
rmSetTriggerPriority(3);

rmAddTriggerCondition("Units in Area");
rmSetTriggerConditionParamInt("DstObject", rmGetUnitPlaced(outguy,0));
rmSetTriggerConditionParamInt("Player", i);
rmSetTriggerConditionParam("UnitType", "FlagBearerDefault");
rmSetTriggerConditionParamFloat("Dist", 5);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamFloat("Count", 1);

rmAddTriggerCondition("Timer");
rmSetTriggerConditionParamInt("Param1",10);

rmAddTriggerEffect("Army Deploy");
rmSetTriggerEffectParamArmy("SrcArmy", i, spawn);
rmSetTriggerEffectParam("ProtoName", "MercHackapell");
rmSetTriggerEffectParam("Location", rmXFractionToMeters(rmPlayerLocXFraction(i))+",1,"+rmZFractionToMeters(rmPlayerLocZFraction(i)));
rmSetTriggerEffectParam("Count", ""+1);
rmSetTriggerEffectParamInt("Heading", 0);
rmSetTriggerEffectParam("Clear", "false");


rmCreateTrigger("Spawn2"+i);
rmSwitchToTrigger(rmTriggerID("Spawn2"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(true);
rmSetTriggerRunImmediately(false);
rmSetTriggerPriority(3);

rmAddTriggerCondition("Units in Area");
rmSetTriggerConditionParamInt("DstObject", rmGetUnitPlaced(mamguy,0));
rmSetTriggerConditionParamInt("Player", i);
rmSetTriggerConditionParam("UnitType", "FlagBearerDefault");
rmSetTriggerConditionParamFloat("Dist", 5);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamFloat("Count", 1);


rmAddTriggerCondition("Timer");
if (rmGetPlayerCiv(i) == rmGetCivID("Germans")) {
rmSetTriggerConditionParamInt("Param1",10);
} else {
rmSetTriggerConditionParamInt("Param1",15);
}

rmAddTriggerEffect("Army Deploy");
rmSetTriggerEffectParamArmy("SrcArmy", i, spawn);
rmSetTriggerEffectParam("ProtoName", "MercMameluke");
rmSetTriggerEffectParam("Location", rmXFractionToMeters(rmPlayerLocXFraction(i))+",1,"+rmZFractionToMeters(rmPlayerLocZFraction(i)));
rmSetTriggerEffectParam("Count", ""+1);
rmSetTriggerEffectParamInt("Heading", 0);
rmSetTriggerEffectParam("Clear", "false");


rmCreateTrigger("Spawn3"+i);
rmSwitchToTrigger(rmTriggerID("Spawn3"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(true);
rmSetTriggerRunImmediately(false);
rmSetTriggerPriority(3);

rmAddTriggerCondition("Units in Area");
rmSetTriggerConditionParamInt("DstObject", rmGetUnitPlaced(carguy,0));
rmSetTriggerConditionParamInt("Player", i);
rmSetTriggerConditionParam("UnitType", "FlagBearerDefault");
rmSetTriggerConditionParamFloat("Dist", 5);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamFloat("Count", 1);

rmAddTriggerCondition("Timer");
rmSetTriggerConditionParamInt("Param1",400);

rmAddTriggerEffect("Army Deploy");
rmSetTriggerEffectParamArmy("SrcArmy", i, spawn);
rmSetTriggerEffectParam("ProtoName", "MercHighlander");
rmSetTriggerEffectParam("Location", rmXFractionToMeters(rmPlayerLocXFraction(i))+",1,"+rmZFractionToMeters(rmPlayerLocZFraction(i)));
rmSetTriggerEffectParam("Count", ""+1);
rmSetTriggerEffectParamInt("Heading", 0);
rmSetTriggerEffectParam("Clear", "false");

rmCreateTrigger("Spawn4"+i);
rmSwitchToTrigger(rmTriggerID("Spawn4"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(true);
rmSetTriggerRunImmediately(false);
rmSetTriggerPriority(3);

rmAddTriggerCondition("Units in Area");
rmSetTriggerConditionParamInt("DstObject", rmGetUnitPlaced(setguy,0));
rmSetTriggerConditionParamInt("Player", i);
rmSetTriggerConditionParam("UnitType", "FlagBearerDefault");
rmSetTriggerConditionParamFloat("Dist", 5);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamFloat("Count", 1);

rmAddTriggerCondition("Timer");
rmSetTriggerConditionParamInt("Param1",12);

rmAddTriggerEffect("Army Deploy");
rmSetTriggerEffectParamArmy("SrcArmy", i, spawn);
rmSetTriggerEffectParam("ProtoName", "Pirate");
rmSetTriggerEffectParam("Location", rmXFractionToMeters(rmPlayerLocXFraction(i))+",1,"+rmZFractionToMeters(rmPlayerLocZFraction(i)));
rmSetTriggerEffectParam("Count", ""+1);
rmSetTriggerEffectParamInt("Heading", 0);
rmSetTriggerEffectParam("Clear", "false");

rmCreateTrigger("Spawn5"+i);
rmSwitchToTrigger(rmTriggerID("Spawn5"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(true);
rmSetTriggerRunImmediately(false);
rmSetTriggerPriority(3);

rmAddTriggerCondition("Units in Area");
rmSetTriggerConditionParamInt("DstObject", rmGetUnitPlaced(blaguy,0));
rmSetTriggerConditionParamInt("Player", i);
rmSetTriggerConditionParam("UnitType", "FlagBearerDefault");
rmSetTriggerConditionParamFloat("Dist", 5);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamFloat("Count", 1);


rmAddTriggerCondition("Timer");
if (rmGetPlayerCiv(i) == rmGetCivID("Germans")) {
rmSetTriggerConditionParamInt("Param1",10);
} else {
rmSetTriggerConditionParamInt("Param1",15);
}

rmAddTriggerEffect("Army Deploy");
rmSetTriggerEffectParamArmy("SrcArmy", i, spawn);
rmSetTriggerEffectParam("ProtoName", "MercBlackRider");
rmSetTriggerEffectParam("Location", rmXFractionToMeters(rmPlayerLocXFraction(i))+",1,"+rmZFractionToMeters(rmPlayerLocZFraction(i)));
rmSetTriggerEffectParam("Count", ""+1);
rmSetTriggerEffectParamInt("Heading", 0);
rmSetTriggerEffectParam("Clear", "false");

rmCreateTrigger("Spawn6"+i);
rmSwitchToTrigger(rmTriggerID("Spawn6"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(true);
rmSetTriggerRunImmediately(false);
rmSetTriggerPriority(3);

rmAddTriggerCondition("Units in Area");
rmSetTriggerConditionParamInt("DstObject", rmGetUnitPlaced(ronguy,0));
rmSetTriggerConditionParamInt("Player", i);
rmSetTriggerConditionParam("UnitType", "FlagBearerDefault");
rmSetTriggerConditionParamFloat("Dist", 5);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamFloat("Count", 1);


rmAddTriggerCondition("Timer");
if (rmGetPlayerCiv(i) == rmGetCivID("Germans")) {
rmSetTriggerConditionParamInt("Param1",10);
} else {
rmSetTriggerConditionParamInt("Param1",15);
}

rmAddTriggerEffect("Army Deploy");
rmSetTriggerEffectParamArmy("SrcArmy", i, spawn);
rmSetTriggerEffectParam("ProtoName", "MercRonin");
rmSetTriggerEffectParam("Location", rmXFractionToMeters(rmPlayerLocXFraction(i))+",1,"+rmZFractionToMeters(rmPlayerLocZFraction(i)));
rmSetTriggerEffectParam("Count", ""+1);
rmSetTriggerEffectParamInt("Heading", 0);
rmSetTriggerEffectParam("Clear", "false");
}

int infguy = rmCreateObjectDef("Infantry Guy");
rmAddObjectDefItem(infguy, "Musketeer", 1, 0.0);
rmPlaceObjectDefAtLoc(infguy, 0, 0.12, 0.2, 1);

int cavguy = rmCreateObjectDef("Cavalry Guy");
rmAddObjectDefItem(cavguy, "Hussar", 1, 0.0);
rmPlaceObjectDefAtLoc(cavguy, 0, 0.2, 0.12, 1);

int artguy = rmCreateObjectDef("Artillery Guy");
rmAddObjectDefItem(artguy, "Falconet", 1, 0.0);
rmPlaceObjectDefAtLoc(artguy, 0, 0.16, 0.16, 1);

int bldguy = rmCreateObjectDef("Building Guy");
rmAddObjectDefItem(bldguy, "Outpost", 1, 0.0);
rmPlaceObjectDefAtLoc(bldguy, 0, 0.2, 0.2, 1);

rmAddObjectDefItem(rev, "CinematicRevealerToAll", 1, 1);
rmPlaceObjectDefAtLoc(rev, 0, 0.12, 0.2, 1);

rmAddObjectDefItem(rev, "CinematicRevealerToAll", 1, 1);
rmPlaceObjectDefAtLoc(rev, 0, 0.2, 0.12, 1);

rmAddObjectDefItem(rev, "CinematicRevealerToAll", 1, 1);
rmPlaceObjectDefAtLoc(rev, 0, 0.16, 0.16, 1);

rmAddObjectDefItem(rev, "CinematicRevealerToAll", 1, 1);
rmPlaceObjectDefAtLoc(rev, 0, 0.12, 0.12, 1);

for(i = 1; <= cNumberNonGaiaPlayers) {
int flag2 = rmCreateObjectDef("Flag Bearer2"+i);
rmAddObjectDefItem(flag2, "FlagBearerDefault", 1, 5);
rmPlaceObjectDefAtLoc(flag2, i, 0.18, 0.18, 1);
}

for(i = 1; <= cNumberNonGaiaPlayers) {

rmCreateTrigger("Upgrade1"+i);
rmSwitchToTrigger(rmTriggerID("Upgrade1"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(true);
rmSetTriggerRunImmediately(false);
rmSetTriggerPriority(3);

rmAddTriggerCondition("Units in Area");
rmSetTriggerConditionParamInt("DstObject", rmGetUnitPlaced(infguy,0));
rmSetTriggerConditionParamInt("Player", i);
rmSetTriggerConditionParam("UnitType", "FlagBearerDefault");
rmSetTriggerConditionParamFloat("Dist", 5);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamFloat("Count", 1);

rmAddTriggerCondition("Player Resource Count");
rmSetTriggerConditionParamInt("PlayerID",i);
rmSetTriggerConditionParam("Resource","gold");
rmSetTriggerConditionParam("Op", ">=");
rmSetTriggerConditionParamInt("Count", 10000);

rmAddTriggerCondition("Timer");
rmSetTriggerConditionParamInt("Param1",1);

rmAddTriggerEffect("Set Tech Status");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("TechID", 430);
rmSetTriggerEffectParamInt("Status", 2);

rmAddTriggerEffect("Set Tech Status");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("TechID", 722);
rmSetTriggerEffectParamInt("Status", 2);

rmAddTriggerEffect("Set Tech Status");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("TechID", 597);
rmSetTriggerEffectParamInt("Status", 2);


rmAddTriggerEffect("Tribute");
rmSetTriggerEffectParamInt("FromPlayerID", i);
rmSetTriggerEffectParamInt("ToPlayerID", 0);
rmSetTriggerEffectParam("ResName", "Gold");
rmSetTriggerEffectParamInt("Amount", 10000);


rmCreateTrigger("Upgrade2"+i);
rmSwitchToTrigger(rmTriggerID("Upgrade2"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(true);
rmSetTriggerRunImmediately(false);
rmSetTriggerPriority(3);

rmAddTriggerCondition("Units in Area");
rmSetTriggerConditionParamInt("DstObject", rmGetUnitPlaced(cavguy,0));
rmSetTriggerConditionParamInt("Player", i);
rmSetTriggerConditionParam("UnitType", "FlagBearerDefault");
rmSetTriggerConditionParamFloat("Dist", 5);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamFloat("Count", 1);

rmAddTriggerCondition("Player Resource Count");
rmSetTriggerConditionParamInt("PlayerID",i);
rmSetTriggerConditionParam("Resource","gold");
rmSetTriggerConditionParam("Op", ">=");
rmSetTriggerConditionParamInt("Count", 10000);

rmAddTriggerCondition("Timer");
rmSetTriggerConditionParamInt("Param1",1);

rmAddTriggerEffect("Set Tech Status");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("TechID", 488);
rmSetTriggerEffectParamInt("Status", 2);

rmAddTriggerEffect("Tribute");
rmSetTriggerEffectParamInt("FromPlayerID", i);
rmSetTriggerEffectParamInt("ToPlayerID", 0);
rmSetTriggerEffectParam("ResName", "gold");
rmSetTriggerEffectParamInt("Amount", 10000);


rmCreateTrigger("Upgrade3"+i);
rmSwitchToTrigger(rmTriggerID("Upgrade3"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(true);
rmSetTriggerRunImmediately(false);
rmSetTriggerPriority(3);


rmAddTriggerCondition("Units in Area");
rmSetTriggerConditionParamInt("DstObject", rmGetUnitPlaced(artguy,0));
rmSetTriggerConditionParamInt("Player", i);
rmSetTriggerConditionParam("UnitType", "FlagBearerDefault");
rmSetTriggerConditionParamFloat("Dist", 5);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamFloat("Count", 1);

rmAddTriggerCondition("Player Resource Count");
rmSetTriggerConditionParamInt("PlayerID",i);
rmSetTriggerConditionParam("Resource","gold");
rmSetTriggerConditionParam("Op", ">=");
rmSetTriggerConditionParamInt("Count", 10000);

rmAddTriggerCondition("Timer");
rmSetTriggerConditionParamInt("Param1",1);

rmAddTriggerEffect("Set Tech Status");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("TechID", 685);
rmSetTriggerEffectParamInt("Status", 2);

rmAddTriggerEffect("Set Tech Status");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("TechID", 729);
rmSetTriggerEffectParamInt("Status", 2);

rmAddTriggerEffect("Set Tech Status");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("TechID", 686);
rmSetTriggerEffectParamInt("Status", 2);

rmAddTriggerEffect("Tribute");
rmSetTriggerEffectParamInt("FromPlayerID", i);
rmSetTriggerEffectParamInt("ToPlayerID", 0);
rmSetTriggerEffectParam("ResName", "gold");
rmSetTriggerEffectParamInt("Amount", 10000);

rmCreateTrigger("Upgrade4"+i);
rmSwitchToTrigger(rmTriggerID("Upgrade4"+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(true);
rmSetTriggerRunImmediately(false);
rmSetTriggerPriority(3);


rmAddTriggerCondition("Units in Area");
rmSetTriggerConditionParamInt("DstObject", rmGetUnitPlaced(bldguy,0));
rmSetTriggerConditionParamInt("Player", i);
rmSetTriggerConditionParam("UnitType", "FlagBearerDefault");
rmSetTriggerConditionParamFloat("Dist", 5);
rmSetTriggerConditionParam("Op", "==");
rmSetTriggerConditionParamFloat("Count", 1);

rmAddTriggerCondition("Player Resource Count");
rmSetTriggerConditionParamInt("PlayerID",i);
rmSetTriggerConditionParam("Resource","gold");
rmSetTriggerConditionParam("Op", ">=");
rmSetTriggerConditionParamInt("Count", 10000);

rmAddTriggerCondition("Timer");
rmSetTriggerConditionParamInt("Param1",1);

rmAddTriggerEffect("Set Tech Status");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("TechID", 423);
rmSetTriggerEffectParamInt("Status", 2);

rmAddTriggerEffect("Set Tech Status");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("TechID", 423);
rmSetTriggerEffectParamInt("Status", 2);

rmAddTriggerEffect("Tribute");
rmSetTriggerEffectParamInt("FromPlayerID", i);
rmSetTriggerEffectParamInt("ToPlayerID", 0);
rmSetTriggerEffectParam("ResName", "gold");
rmSetTriggerEffectParamInt("Amount", 10000);
}

int coin = rmCreateObjectDef("COIN");
rmAddObjectDefItem(coin, "CrateofCoinLarge", 1, 0);
rmPlaceObjectDefAtLoc(coin, 0, 0.79, 0.1, 1);

int food = rmCreateObjectDef("FOOD");
rmAddObjectDefItem(food, "CrateofFoodLarge", 1, 0);
rmPlaceObjectDefAtLoc(food, 0, 0.84, 0.15, 1);

int wood = rmCreateObjectDef("WOOD");
rmAddObjectDefItem(wood, "CrateofWoodLarge", 1, 0);
rmPlaceObjectDefAtLoc(wood, 0, 0.89, 0.2, 1);

rmAddObjectDefItem(rev, "CinematicRevealerToAll", 1, 1);
rmPlaceObjectDefAtLoc(rev, 0, 0.79, 0.1, 1);

rmAddObjectDefItem(rev, "CinematicRevealerToAll", 1, 1);
rmPlaceObjectDefAtLoc(rev, 0, 0.84, 0.15, 1);

rmAddObjectDefItem(rev, "CinematicRevealerToAll", 1, 1);
rmPlaceObjectDefAtLoc(rev, 0, 0.89, 0.2, 1);

for(i = 1; <= cNumberNonGaiaPlayers) {
int flag3 = rmCreateObjectDef("Flag Bearer3"+i);
rmAddObjectDefItem(flag3, "FlagBearerDefault", 1, 5);
rmPlaceObjectDefAtLoc(flag3, i, 0.80, 0.19, 4);
}

for(i = 1; <= cNumberNonGaiaPlayers) {

for(c = 1; <= 4){
rmCreateTrigger("wood1"+c+i);
rmSwitchToTrigger(rmTriggerID("wood1"+c+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(true);
rmSetTriggerRunImmediately(false);
rmSetTriggerPriority(3);

rmAddTriggerCondition("Units in Area");
rmSetTriggerConditionParamInt("DstObject", rmGetUnitPlaced(wood,0));
rmSetTriggerConditionParamInt("Player", i);
rmSetTriggerConditionParam("UnitType", "FlagBearerDefault");
rmSetTriggerConditionParamFloat("Dist", 5);
rmSetTriggerConditionParam("Op", ">=");
rmSetTriggerConditionParamFloat("Count", c);

rmAddTriggerCondition("Timer");
rmSetTriggerConditionParamInt("Param1",1);

rmAddTriggerEffect("Grant Resources");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParam("ResName", "Wood");
rmSetTriggerEffectParamInt("Amount", 200);

rmCreateTrigger("Gold1"+c+i);
rmSwitchToTrigger(rmTriggerID("Gold1"+c+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(true);
rmSetTriggerRunImmediately(false);
rmSetTriggerPriority(3);

rmAddTriggerCondition("Units in Area");
rmSetTriggerConditionParamInt("DstObject", rmGetUnitPlaced(coin,0));
rmSetTriggerConditionParamInt("Player", i);
rmSetTriggerConditionParam("UnitType", "FlagBearerDefault");
rmSetTriggerConditionParamFloat("Dist", 5);
rmSetTriggerConditionParam("Op", ">=");
rmSetTriggerConditionParamFloat("Count", c);

rmAddTriggerCondition("Timer");
rmSetTriggerConditionParamInt("Param1",1);

if (rmGetPlayerCiv(i) == rmGetCivID("Ottomans")) {
rmAddTriggerEffect("Grant Resources");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParam("ResName", "Gold");
rmSetTriggerEffectParamInt("Amount", 215);
}else{
rmAddTriggerEffect("Grant Resources");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParam("ResName", "Gold");
rmSetTriggerEffectParamInt("Amount", 200);
}

rmCreateTrigger("Food1"+c+i);
rmSwitchToTrigger(rmTriggerID("Food1"+c+i));
rmSetTriggerActive(true);
rmSetTriggerLoop(true);
rmSetTriggerRunImmediately(false);
rmSetTriggerPriority(3);

rmAddTriggerCondition("Units in Area");
rmSetTriggerConditionParamInt("DstObject", rmGetUnitPlaced(food,0));
rmSetTriggerConditionParamInt("Player", i);
rmSetTriggerConditionParam("UnitType", "FlagBearerDefault");
rmSetTriggerConditionParamFloat("Dist", 5);
rmSetTriggerConditionParam("Op", ">=");
rmSetTriggerConditionParamFloat("Count", c);

rmAddTriggerCondition("Timer");
rmSetTriggerConditionParamInt("Param1",1);

rmAddTriggerEffect("Grant Resources");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParam("ResName", "Food");
rmSetTriggerEffectParamInt("Amount", 200);

}
}

for(i = 1; <= cNumberNonGaiaPlayers) {
rmCreateTrigger("Defeat"+i);
rmSwitchToTrigger(rmTriggerID("Defeat"+i));
rmSetTriggerActive(true);
rmSetTriggerRunImmediately(true);
rmSetTriggerPriority(3);

rmAddTriggerCondition("All Buildings Dead");
rmSetTriggerConditionParamInt("PlayerID",i);

rmAddTriggerEffect("Set Player Defeated");
rmSetTriggerEffectParamInt("Player", i);

rmAddTriggerEffect("Player Destroy All Units");
rmSetTriggerEffectParamInt("Player", i);

}

for(i = 1; <= cNumberNonGaiaPlayers) {
rmCreateTrigger("CivBonus"+i);
rmSwitchToTrigger(rmTriggerID("CivBonus"+i));
rmSetTriggerActive(true);
rmSetTriggerRunImmediately(true);
rmSetTriggerPriority(3);

if (rmGetPlayerCiv(i) == rmGetCivID("Spanish")) {
rmSetTriggerLoop(true);

rmAddTriggerCondition("Timer");
rmSetTriggerConditionParamInt("Param1",90);

rmAddTriggerCondition("Player Unit Count");
rmSetTriggerConditionParamInt("PlayerID",i);
rmSetTriggerConditionParam("ProtoUnit","FlagBearerDefault");
rmSetTriggerConditionParam("Op",">");
rmSetTriggerConditionParamInt("Count",0);

rmAddTriggerEffect("Army Deploy");
rmSetTriggerEffectParamArmy("SrcArmy", i, spawn);
rmSetTriggerEffectParam("ProtoName", "Galleon");
rmSetTriggerEffectParam("Location", rmXFractionToMeters(rmPlayerLocXFraction(i))+",1,"+rmZFractionToMeters(rmPlayerLocZFraction(i)));
rmSetTriggerEffectParam("Count", ""+1);
rmSetTriggerEffectParamInt("Heading", 0);
rmSetTriggerEffectParam("Clear", "false");

rmCreateTrigger("Spanish"+i);
rmSwitchToTrigger(rmTriggerID("Spanish"+i));
rmSetTriggerActive(true);
rmSetTriggerRunImmediately(true);
rmSetTriggerPriority(3);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Always");

rmAddTriggerEffect("Set Tech Status");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("TechID", 428);
rmSetTriggerEffectParamInt("Status", 2);

rmAddTriggerEffect("Set Tech Status");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("TechID", 249);
rmSetTriggerEffectParamInt("Status", 2);

rmAddTriggerEffect("Set Tech Status");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("TechID", 891);
rmSetTriggerEffectParamInt("Status", 2);

mes("Player "+i+" is Spanish and gets Team Inquisition and Team Coastal Defenses Cards as well as free Galleons.",45+5*i);
}

if (rmGetPlayerCiv(i) == rmGetCivID("British")) {

rmSetTriggerLoop(true);

rmAddTriggerCondition("Timer");
rmSetTriggerConditionParamInt("Param1",75);

rmAddTriggerCondition("Player Unit Count");
rmSetTriggerConditionParamInt("PlayerID",i);
rmSetTriggerConditionParam("ProtoUnit","FlagBearerDefault");
rmSetTriggerConditionParam("Op",">");
rmSetTriggerConditionParamInt("Count",0);

rmAddTriggerEffect("Army Deploy");
rmSetTriggerEffectParamArmy("SrcArmy", i, spawn);
rmSetTriggerEffectParam("ProtoName", "Galleon");
rmSetTriggerEffectParam("Location", rmXFractionToMeters(rmPlayerLocXFraction(i))+",1,"+rmZFractionToMeters(rmPlayerLocZFraction(i)));
rmSetTriggerEffectParam("Count", ""+1);
rmSetTriggerEffectParamInt("Heading", 0);
rmSetTriggerEffectParam("Clear", "false");

rmCreateTrigger("British"+i);
rmSwitchToTrigger(rmTriggerID("British"+i));
rmSetTriggerActive(true);
rmSetTriggerRunImmediately(true);
rmSetTriggerPriority(3);
rmSetTriggerLoop(false);

rmAddTriggerEffect("Set Tech Status");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("TechID", 915);
rmSetTriggerEffectParamInt("Status", 2);

mes("Player "+i+" is British and gets free Galleons.",45+5*i);
}

if (rmGetPlayerCiv(i) == rmGetCivID("French")) {
rmSetTriggerLoop(true);

rmAddTriggerCondition("Timer");
rmSetTriggerConditionParamInt("Param1",120);

rmAddTriggerCondition("Player Unit Count");
rmSetTriggerConditionParamInt("PlayerID",i);
rmSetTriggerConditionParam("ProtoUnit","FlagBearerDefault");
rmSetTriggerConditionParam("Op",">");
rmSetTriggerConditionParamInt("Count",0);

rmAddTriggerEffect("Army Deploy");
rmSetTriggerEffectParamArmy("SrcArmy", i, spawn);
rmSetTriggerEffectParam("ProtoName", "FortWagon");
rmSetTriggerEffectParam("Location", rmXFractionToMeters(rmPlayerLocXFraction(i))+",1,"+rmZFractionToMeters(rmPlayerLocZFraction(i)));
rmSetTriggerEffectParam("Count", ""+1);
rmSetTriggerEffectParamInt("Heading", 0);
rmSetTriggerEffectParam("Clear", "false");

rmCreateTrigger("French"+i);
rmSwitchToTrigger(rmTriggerID("French"+i));
rmSetTriggerActive(true);
rmSetTriggerRunImmediately(true);
rmSetTriggerPriority(3);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Always");

rmAddTriggerEffect("Set Tech Status");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("TechID", 916);
rmSetTriggerEffectParamInt("Status", 2);

rmAddTriggerEffect("Set Tech Status");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("TechID", 865);
rmSetTriggerEffectParamInt("Status", 2);

rmAddTriggerEffect("Set Tech Status");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("TechID", 487);
rmSetTriggerEffectParamInt("Status", 2);

rmAddTriggerEffect("Set Tech Status");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("TechID", 402);
rmSetTriggerEffectParamInt("Status", 2);

mes("Player "+i+" is French and gets better natives and free fort wagons.",45+5*i);
}

if (rmGetPlayerCiv(i) == rmGetCivID("Portuguese")) {
rmSetTriggerLoop(false);

rmAddTriggerCondition("Always");

rmAddTriggerEffect("Set Tech Status");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("TechID", 512);
rmSetTriggerEffectParamInt("Status", 2);

rmAddTriggerEffect("Set Tech Status");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("TechID", 919);
rmSetTriggerEffectParamInt("Status", 2);

mes("Player "+i+" is Portuguese and receives the navigator card and an extra flag bearer at the top.",45+5*i);
}

if (rmGetPlayerCiv(i) == rmGetCivID("Dutch")) {
rmSetTriggerLoop(true);

rmAddTriggerCondition("Timer");
rmSetTriggerConditionParamInt("Param1",60);

rmAddTriggerCondition("Player Unit Count");
rmSetTriggerConditionParamInt("PlayerID",i);
rmSetTriggerConditionParam("ProtoUnit","FlagBearerDefault");
rmSetTriggerConditionParam("Op",">");
rmSetTriggerConditionParamInt("Count",0);

rmAddTriggerEffect("Army Deploy");
rmSetTriggerEffectParamArmy("SrcArmy", i, spawn);
rmSetTriggerEffectParam("ProtoName", "Fluyt");
rmSetTriggerEffectParam("Location", rmXFractionToMeters(rmPlayerLocXFraction(i))+",1,"+rmZFractionToMeters(rmPlayerLocZFraction(i)));
rmSetTriggerEffectParam("Count", ""+1);
rmSetTriggerEffectParamInt("Heading", 0);
rmSetTriggerEffectParam("Clear", "false");

rmCreateTrigger("Dutch"+i);
rmSwitchToTrigger(rmTriggerID("Dutch"+i));
rmSetTriggerActive(true);
rmSetTriggerRunImmediately(true);
rmSetTriggerPriority(3);
rmSetTriggerLoop(false);

rmAddTriggerCondition("Always");

rmAddTriggerEffect("Set Tech Status");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("TechID", 423);
rmSetTriggerEffectParamInt("Status", 2);

rmAddTriggerEffect("Set Tech Status");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("TechID", 917);
rmSetTriggerEffectParamInt("Status", 2);

mes("Player "+i+" is Dutch and recieves Improved buildings and free fluyts.",45+5*i);
}

if (rmGetPlayerCiv(i) == rmGetCivID("Russians")) {
rmSetTriggerLoop(false);

rmAddTriggerCondition("Always");

rmAddTriggerEffect("Set Tech Status");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("TechID", 739);
rmSetTriggerEffectParamInt("Status", 2);

rmAddTriggerEffect("Set Tech Status");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("TechID", 918);
rmSetTriggerEffectParamInt("Status", 2);

mes("Player "+i+" is Russian and gets team dueling school card.",45+5*i);
}

if (rmGetPlayerCiv(i) == rmGetCivID("Germans")) {

rmSetTriggerLoop(true);

rmAddTriggerCondition("Timer");
rmSetTriggerConditionParamInt("Param1",30);

rmAddTriggerCondition("Player Unit Count");
rmSetTriggerConditionParamInt("PlayerID",i);
rmSetTriggerConditionParam("ProtoUnit","FlagBearerDefault");
rmSetTriggerConditionParam("Op",">");
rmSetTriggerConditionParamInt("Count",0);

rmAddTriggerEffect("Army Deploy");
rmSetTriggerEffectParamArmy("SrcArmy", i, spawn);
rmSetTriggerEffectParam("ProtoName", "Uhlan");
rmSetTriggerEffectParam("Location", rmXFractionToMeters(rmPlayerLocXFraction(i))+",1,"+rmZFractionToMeters(rmPlayerLocZFraction(i)));
rmSetTriggerEffectParam("Count", ""+3);
rmSetTriggerEffectParamInt("Heading", 0);
rmSetTriggerEffectParam("Clear", "false");

rmCreateTrigger("German"+i);
rmSwitchToTrigger(rmTriggerID("German"+i));
rmSetTriggerActive(true);
rmSetTriggerRunImmediately(true);
rmSetTriggerPriority(3);
rmSetTriggerLoop(false);

rmAddTriggerEffect("Set Tech Status");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("TechID", 431);
rmSetTriggerEffectParamInt("Status", 2);

rmAddTriggerEffect("Set Tech Status");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("TechID", 780);
rmSetTriggerEffectParamInt("Status", 2);

mes("Player "+i+" is German and gets free uhlans and better mercs.",45+5*i);
}

if (rmGetPlayerCiv(i) == rmGetCivID("Ottomans")) {
rmSetTriggerLoop(false);

rmAddTriggerCondition("Always");

rmAddTriggerEffect("Set Tech Status");
rmSetTriggerEffectParamInt("PlayerID", i);
rmSetTriggerEffectParamInt("TechID", 914);
rmSetTriggerEffectParamInt("Status", 2);

mes("Player "+i+" is Ottoman and earns extra gold.",45+5*i);
}
}

mes("Welcome to WAR Version 1.6 by mephilip",0);
mes("At the top island you must bring your flag bearer to one of the brown units to get a unit",5);
mes("The flag bearer one gives caravels and the rest give you what they are",10);
mes("At the bottom one you must bring your flag bearer to one of the brown units to get an upgrade",15);
mes("The upgrades cost 10000 gold each.",20);
mes("Bring your flag bearer to the type of unit you wish to upgrade.",25);
mes("The more upgrades you buy the stronger your units will get.",30);
mes("The island on the right is where you get resources.",35);
mes("Bring your flag bearers to the resources that you want.",40);
mes("Remember that each civilization has its own unique bonuses in this map.",45);

rmCreateTrigger("Sound");
rmSwitchToTrigger(rmTriggerID("Sound"));
rmSetTriggerActive(true);
rmSetTriggerRunImmediately(true);
rmSetTriggerPriority(3);
rmSetTriggerLoop(false);
rmAddTriggerEffect("Music Stop");
rmAddTriggerEffect("Sound Filename");
rmSetTriggerEffectParam("Sound", "music\battle\Ruinion.mp3");
rmSetTriggerEffectParam("EventID", "Start");
rmCreateTrigger("Music");
rmSwitchToTrigger(rmTriggerID("Music"));
rmSetTriggerActive(true);
rmSetTriggerRunImmediately(true);
rmSetTriggerPriority(3);
rmSetTriggerLoop(false);
rmAddTriggerCondition("Timer");
rmSetTriggerConditionParamInt("Param1",60);
rmAddTriggerEffect("Set Current Music Set");
rmSetTriggerEffectParamInt("SetID",5);
rmAddTriggerEffect("Music Play");

rmSetStatusText("",1);
}